> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seekr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List linked agents

> Returns the agents that are linked to a given tool.

Retrieve all agents that are currently using a specific tool. Use this to check dependencies before updating or deleting a tool.


## OpenAPI

````yaml get /v1/flow/tools/{tool_id}/agents
openapi: 3.1.0
info:
  title: SeekrFlow API
  description: SeekrFlow API Documentation
  termsOfService: http://www.seekr.com/support
  contact:
    name: Seekr API Support
    url: http://www.seekr.com/contact
    email: contact@seekr.com
  version: 5.87.1
servers:
  - url: https://flow.seekr.com
    description: SeekrBuild server base URL
security: []
paths:
  /v1/flow/tools/{tool_id}/agents:
    get:
      tags:
        - Tools
      summary: List linked agents
      description: Returns the agents that are linked to a given tool.
      operationId: get_agents_for_tool_v1_flow_tools__tool_id__agents_get
      parameters:
        - name: tool_id
          in: path
          required: true
          schema:
            type: string
            title: Tool Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ToolAgentSummarySchema'
                title: >-
                  Response Get Agents For Tool V1 Flow Tools  Tool Id  Agents
                  Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    ToolAgentSummarySchema:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        status:
          $ref: '#/components/schemas/AgentStatus'
      type: object
      required:
        - id
        - name
        - status
      title: ToolAgentSummarySchema
      description: Schema for tool agent summary.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AgentStatus:
      type: string
      enum:
        - Inactive
        - Pending
        - Active
        - Updating
        - Failed
      title: AgentStatus
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      description: Seekr API Key without 'Bearer' Prefix
      in: header
      name: Authorization

````